local cscExe = PickExecutable("C:\\Windows\\Microsoft.NET\\Framework\\v3.5\\csc.exe", "C:\\Windows\\Microsoft.NET\\Framework\\v3.0\\csc.exe")

if cscExe ~= "" and FindExecutable(cscExe) then
    function csc_LibraryExists(lib)
        return true
    end

    function csc_Deps(file)
        return {}
    end

    function csc_Compile(src, type)
        return true
    end


    function csc_Link(executable, type, options)
        local cmd = cscExe .. " /out:\"" .. BuildDir .. executable .. "\""

        cmd = cmd .. StrJoin(GetDefinitions(), " \"/define:", "\"")
        cmd = cmd .. StrJoin(GetCFlags(), " \"", "\"")
        cmd = cmd .. StrJoin(GetLFlags(), " \"", "\"")
		cmd = cmd .. StrJoin(GetSources(), " \"" .. SrcDir(), "\"")

        if TableHas(options, "unsafe") then
            cmd = cmd .. " /unsafe"
        end

        local ret, str = Execute(cmd, false)
		if ret == 0 then
            return true
        end
		
		print(str)

        return false
    end

    RegisterCompiler("csc", "C#")
end
