local lib = PickLibrary("curl")

if lib ~= "" and FindLibrary(lib) then
    function curl_Package()
        local libs = { lib }
        if OS == "windows" then
            table:insert(libs, "ws2_32")
            table:insert(libs, "winmm")
        end
        local incDirs = { }
        local libDirs = { }
        local defs = { "CURL_SUPPORT" }
        if OS == "windows" then
            table:insert(defs, "CURL_STATICLIB")
        end
        local cflags = { }
        local lflags = { }

        return -1, libs, incDirs, libDirs, defs, cflags, lflags
    end
end
