local luaJitLib = PickLibrary("luajit", "luajit-5.1", "luajit-5.0")
local luaJitIncDir = PickIncludeDir("/usr/include/luajit-2.0")

if luaJitLib ~= "" and FindLibrary(luaJitLib) then
    function luajit_Package()
        local libs = { luaJitLib }
        local incDirs = { luaJitIncDir }
        local libDirs = { }
        local defs = { "LUAJIT_SUPPORT" }
        local cflags = { }
        local lflags = { }

        return -1, libs, incDirs, libDirs, defs, cflags, lflags
    end
end
