local javacExe = PickExecutable("javac", "javac.exe")

if javacExe ~= "" and FindExecutable(javacExe) then
    function javac_LibraryExists(lib)
        return true
    end

    function javac_Deps(file)
        return {}
    end

    function javac_Compile(src, type)
        return true
    end

    function javac_Link(executable, type)
        local cmd = javacExe .. " -d \"" .. BuildDir .. "\""

        cmd = cmd .. StrJoin(GetSources(), " \"" .. SrcDir(), "\"")
        cmd = cmd .. StrJoin(GetCFlags(), " \"", "\"")
        cmd = cmd .. StrJoin(GetLFlags(), " \"", "\"")

        if Execute(cmd, false) == 0 then
            return true
        end
    end

    RegisterCompiler("javac", "Java")
end
