#ifndef PACKAGE_HPP
#define PACKAGE_HPP

class Package
{
    public:
        Package(string n, lua_State *L);
        ~Package();

        void loadTMakePackage();

        bool exists();
        string getErrorMsg();

        bool correctVersion(float min, float max);

        float version;
        vector<string> libraries;
        vector<string> includeDirs;
        vector<string> libraryDirs;
        vector<string> definitions;
        vector<string> cflags;
        vector<string> lflags;

    private:
        string name;

        lua_State *luaState;

        string errorMsg;
};

#endif // PACKAGE_HPP
