OS=`uname -o`

if [ "$OS" = "GNU/Linux" ]; then
    rm -rf /etc/tmake/
    mkdir -p /etc/tmake/
    cp -rf conf/* /etc/tmake/
    mv tmake /usr/bin/
elif [ "$OS" = "Haiku" ]; then
    rm -rf /boot/apps/tmake/
    mkdir -p /boot/apps/tmake/
    cp -rf conf/* /boot/apps/tmake/
    mv tmake /boot/common/bin/
elif [ "$OS" = "FreeBSD" ]; then
    rm -rf /etc/tmake/
    mkdir -p /etc/tmake/
    cp -rf conf/* /etc/tmake/
    mv tmake /usr/bin/
elif [ "$OS" = "NetBSD" ]; then
    rm -rf /etc/tmake/
    mkdir -p /etc/tmake/
    cp -rf conf/* /etc/tmake/
    mv tmake /usr/bin/
else
    echo Your operating system is not supported at the moment.
fi
