#include "headers.hpp"

int Func_FS_Mkdir(lua_State *L)
{
    int s = lua_gettop(L);
    if (s == 1)
    {
        Lua::pushBool(L, FS::mkdir(Lua::getString(L, 1)));
    }
    else
    {
        Lua::error(L);
    }

    return 1;
}

int Func_FS_Rm(lua_State *L)
{
    int s = lua_gettop(L);
    if (s == 1)
    {
        Lua::pushBool(L, FS::rm(Lua::getString(L, 1)));
    }
    else
    {
        Lua::error(L);
    }

    return 1;
}

int Func_FS_Move(lua_State *L)
{
    int s = lua_gettop(L);
    if (s == 2)
    {
        Lua::pushBool(L, FS::mv(Lua::getString(L, 1), Lua::getString(L, 2)));
    }
    else
    {
        Lua::error(L);
    }

    return 1;
}

int Func_FS_Copy(lua_State *L)
{
    int s = lua_gettop(L);
    if (s == 2)
    {
        Lua::pushBool(L, FS::cp(Lua::getString(L, 1), Lua::getString(L, 2)));
    }
    else
    {
        Lua::error(L);
    }

    return 1;
}

int Func_FS_WriteFile(lua_State *L)
{
    int s = lua_gettop(L);
    if (s == 2)
    {
        Lua::pushBool(L, FS::writeFile(Lua::getString(L, 1), Lua::getString(L, 2)));
    }
    else
    {
        Lua::error(L);
    }

    return 1;
}
