#include "headers.hpp"

int Func_RequireVersion(lua_State *L)
{
    int s = lua_gettop(L);
    if (s == 1)
    {
        float v = Lua::getFloat(L, 1);
        float maxV = VERSION;
        if (v > maxV)
        {
            Lua::error(L, "This project requires a newer version of TMake");
        }
    }
    else
    {
        Lua::error(L);
    }
    
    return 0;
}
