#include "headers.hpp"

vector<string> Str::split(string str, char delim)
{
    vector<string> items;
    stringstream ss(str);

    string item;
    while (getline(ss, item, delim))
    {
        items.push_back(item);
    }

    return items;
}

string Str::join(vector<string> list, string startDelim, string endDelim)
{
    string newStr;

    for (unsigned int i = 0; i < list.size(); i++)
    {
        newStr.append(startDelim);
        newStr.append(list[i]);
        newStr.append(endDelim);
    }

    return newStr;
}

string Str::lower(string str)
{
    string newStr;

    for (unsigned int i = 0; i < str.size(); i++)
    {
        newStr.push_back(tolower(str[i]));
    }

    return newStr;
}

string Str::upper(string str)
{
    string newStr;

    for (unsigned int i = 0; i < str.size(); i++)
    {
        newStr.push_back(toupper(str[i]));
    }

    return newStr;
}

bool Str::startsWith(string str, string begin)
{
    if (str.substr(0, begin.size()) == begin)
    {
        return true;
    }

    return false;
}
