#include "headers.hpp"

TMake *tmake;

int main(int argc, char *argv[])
{
    tmake = new TMake;
    
    for (int i = 1; i < argc; i++)
    {
        string arg = argv[i];
        
        if (!tmake->parseArg(arg))
        {
            Output::error("Unknown argument, " + arg);
            return 1;
        }
    }
    
    int ret = tmake->run();
    delete tmake;
    
    return ret;
}
